Skip to main content
GET
/
api
/
tokens
List API tokens
curl --request GET \
  --url https://control.green.us-east-1.aws.prod.archil.com/api/tokens \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "data": {
    "tokens": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "tokenSuffix": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "lastUsedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key (format key-{API_KEY})

Query Parameters

limit
integer
default:50

Maximum number of items to return

Required range: x <= 100
cursor
string

Pagination cursor from a previous response

Response

List of API tokens

success
boolean
required
Example:

true

data
object
required